<div  fxLayout="column" class="full-page-container dark">
  <div fxFlex="100" fxLayout="row"  fxLayoutAlign="center center">
    <div fxFlex="100" fxLayout="column" class="login-section">

      <div fxLayout="row" fxLayoutAlign="center center"  class="logo-label">
        <label style="color:var(--mainBlue)">Yummy</label>&nbsp;
        <label style="color: lightgray;">Wallet</label>
      </div>

      <div fxLayout="row" fxLayoutAlign="center center" class="form-container">
        <div fxLayout="column" fxFlex="100">

          <div fxLayout="row" class="form-content" fxLayoutAlign="center center">
            <div fxLayout="column" fxFlex.gt-md="30" fxFlex.md="40" fxFlex.lt-md="80">
              <form [formGroup]="form" (ngSubmit)="login()" autocomplete="off" >

                <div fxLayout="row">
                  <div fxLayout="column" fxFlex="100" class="alternate-theme">
                    <div><label style="color: white;">Αναγνωριστικό χρήστη</label></div>
                    <mat-form-field appearance="legacy"
                                    class="form-field" >
                      <input matInput [formControlName]="'identifier'">
                    </mat-form-field>
                  </div>
                </div>

                <div fxLayout="row">
                  <div fxLayout="column" fxFlex="100" class="alternate-theme">
                    <div><label style="color: white;">Κωδικός χρήστη</label></div>
                    <mat-form-field class="form-field" appearance="legacy">
                      <input matInput [type]="hide ? 'password' : 'text'" [formControlName]="'password'">
                      <button mat-icon-button matSuffix (click)="hide = !hide" type="button">
                        <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
                      </button>
                    </mat-form-field>
                  </div>
                </div>

                <div fxLayout="row">
                  <div fxFlex="100" fxLayout="column">
                    <button [disabled]="!form.valid" mat-flat-button type="submit" class="submitButton">Συνδεθείτε
                    </button>
                  </div>
                </div>

              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>


